'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mixins = require('../../util/mixins');

var _mixins2 = _interopRequireDefault(_mixins);

var _props = require('./mixins/props');

var _props2 = _interopRequireDefault(_props);

var _rect = require('./components/rect');

var _rect2 = _interopRequireDefault(_rect);

var _text = require('./components/text');

var _text2 = _interopRequireDefault(_text);

var _gradient = require('./components/gradient');

var _gradient2 = _interopRequireDefault(_gradient);

var _core = require('./helpers/core');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _mixins2.default)(_props2.default).extend({
    name: 'bar',
    props: {
        autoDrawDuration: {
            type: Number,
            default: 500
        }
    },
    render: function render(h) {
        if (!this.data || this.data.length < 2) return undefined;
        var width = this.width,
            height = this.height,
            padding = this.padding,
            lineWidth = this.lineWidth;

        var viewWidth = width || 300;
        var viewHeight = height || 75;
        var boundary = {
            minX: padding,
            minY: padding,
            maxX: viewWidth - padding,
            maxY: viewHeight - padding
        };
        var props = this.$props;
        props.points = (0, _core.genPoints)(this.data, boundary);
        var totalWidth = boundary.maxX / (props.points.length - 1);
        props.boundary = boundary;
        props.id = 'sparkline-bar-' + this._uid;
        props.lineWidth = lineWidth || totalWidth - (padding || 5);
        props.offsetX = (totalWidth - props.lineWidth) / 2;
        return h('svg', {
            attrs: {
                width: width || '100%',
                height: height || '25%',
                viewBox: '0 0 ' + viewWidth + ' ' + viewHeight
            }
        }, [h(_gradient2.default, { props: props }), h(_rect2.default, { props: props }), this.showLabel ? h(_text2.default, { props: props }) : undefined, h('g', {
            attrs: {
                transform: 'scale(1,-1) translate(0,-' + boundary.maxY + ')',
                'clip-path': 'url(#' + props.id + '-clip)',
                fill: 'url(#' + props.id + ')'
            }
        }, [h('rect', {
            attrs: {
                x: 0,
                y: 0,
                width: viewWidth,
                height: viewHeight
            }
        })])]);
    }
});
//# sourceMappingURL=Bar.js.map