'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

var _Bar = require('./Bar');

var _Bar2 = _interopRequireDefault(_Bar);

var _Trend = require('./Trend');

var _Trend2 = _interopRequireDefault(_Trend);

var _props = require('./mixins/props');

var _props2 = _interopRequireDefault(_props);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var COMPONENTS = {
    bar: _Bar2.default,
    trend: _Trend2.default
};
exports.default = _vue2.default.extend({
    name: 'v-sparkline',
    functional: true,
    $_wrapperFor: _props2.default,
    props: {
        type: {
            type: String,
            default: 'trend',
            validator: function validator(val) {
                return ['trend', 'bar'].includes(val);
            }
        }
    },
    render: function render(h, _ref) {
        var props = _ref.props,
            data = _ref.data;

        return h('div', {
            staticClass: 'sparkline'
        }, [h(COMPONENTS[props.type], data)]);
    }
});
//# sourceMappingURL=VSparkline.js.map