'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _vue2.default.extend({
    props: ['gradient', 'id', 'gradientDirection'],
    render: function render(h) {
        var gradient = this.gradient,
            id = this.id,
            gradientDirection = this.gradientDirection;

        var len = gradient.length - 1;
        var stops = gradient.slice().reverse().map(function (color, index) {
            return h('stop', {
                attrs: {
                    offset: index / len,
                    'stop-color': color
                }
            });
        });
        return h('defs', [h('linearGradient', {
            attrs: {
                id: id,
                x1: +(gradientDirection === 'left'), y1: +(gradientDirection === 'top'),
                x2: +(gradientDirection === 'right'), y2: +(gradientDirection === 'bottom')
            }
        }, stops)]);
    }
}); /* eslint-disable no-multi-spaces, object-property-newline */
//# sourceMappingURL=gradient.js.map