'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _vue2.default.extend({
    props: ['id', 'smooth', 'boundary', 'lineWidth', 'gradient', 'autoDrawDuration', 'autoDraw', 'points', 'offsetX'],
    render: function render(h) {
        var _this = this;

        var maxY = this.boundary.maxY;

        var rounding = typeof this.smooth === 'number' ? this.smooth : this.smooth ? 2 : 0;
        return h('clipPath', {
            attrs: {
                id: this.id + '-clip'
            }
        }, this.points.map(function (item, index) {
            return h('rect', {
                attrs: {
                    x: item.x - _this.offsetX,
                    y: 0,
                    width: _this.lineWidth,
                    height: maxY - item.y,
                    rx: rounding,
                    ry: rounding
                }
            }, [_this.autoDraw ? h('animate', {
                attrs: {
                    attributeName: 'height',
                    from: 0,
                    to: maxY - item.y,
                    dur: _this.autoDrawDuration + 'ms',
                    fill: 'freeze'
                }
            }) : undefined]);
        }));
    }
});
//# sourceMappingURL=rect.js.map