'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _vue2.default.extend({
    props: {
        data: {
            type: Array,
            required: true
        },
        gradient: {
            type: Array,
            required: true
        },
        gradientDirection: {
            type: String,
            validator: function validator(val) {
                return ['top', 'bottom', 'left', 'right'].includes(val);
            },
            default: 'top'
        },
        autoDraw: Boolean,
        autoDrawDuration: {
            type: Number,
            default: 2000
        },
        autoDrawEasing: {
            type: String,
            default: 'ease'
        },
        height: Number,
        width: Number,
        padding: {
            type: Number,
            default: 8
        },
        smooth: [Boolean, Number],
        lineWidth: Number,
        showLabel: Boolean
    }
});
//# sourceMappingURL=props.js.map