import Vue from 'vue';
import bar from './Bar';
import trend from './Trend';
import props from './mixins/props';
var COMPONENTS = {
    bar: bar,
    trend: trend
};
export default Vue.extend({
    name: 'v-sparkline',
    functional: true,
    $_wrapperFor: props,
    props: {
        type: {
            type: String,
            default: 'trend',
            validator: function validator(val) {
                return ['trend', 'bar'].includes(val);
            }
        }
    },
    render: function render(h, _ref) {
        var props = _ref.props,
            data = _ref.data;

        return h('div', {
            staticClass: 'sparkline'
        }, [h(COMPONENTS[props.type], data)]);
    }
});
//# sourceMappingURL=VSparkline.js.map