/* eslint-disable no-multi-spaces, object-property-newline */
import Vue from 'vue';
export default Vue.extend({
    props: ['gradient', 'id', 'gradientDirection'],
    render: function render(h) {
        var gradient = this.gradient,
            id = this.id,
            gradientDirection = this.gradientDirection;

        var len = gradient.length - 1;
        var stops = gradient.slice().reverse().map(function (color, index) {
            return h('stop', {
                attrs: {
                    offset: index / len,
                    'stop-color': color
                }
            });
        });
        return h('defs', [h('linearGradient', {
            attrs: {
                id: id,
                x1: +(gradientDirection === 'left'), y1: +(gradientDirection === 'top'),
                x2: +(gradientDirection === 'right'), y2: +(gradientDirection === 'bottom')
            }
        }, stops)]);
    }
});
//# sourceMappingURL=gradient.js.map