import Vue from 'vue';
export default Vue.extend({
    props: ['points', 'boundary', 'offsetX'],
    render: function render(h) {
        var _this = this;

        var offsetX = (this.offsetX || 0) / 2;
        return h('g', {
            style: {
                fontSize: '8',
                textAnchor: 'middle',
                dominantBaseline: 'mathematical',
                fill: this.$vuetify.theme.secondary
            }
        }, this.points.map(function (item) {
            return h('text', {
                attrs: {
                    x: item.x - offsetX,
                    y: _this.boundary.maxY + 2
                }
            }, item.value.toString());
        }));
    }
});
//# sourceMappingURL=text.js.map