import Vue from 'vue';
export default Vue.extend({
    props: {
        data: {
            type: Array,
            required: true
        },
        gradient: {
            type: Array,
            required: true
        },
        gradientDirection: {
            type: String,
            validator: function validator(val) {
                return ['top', 'bottom', 'left', 'right'].includes(val);
            },
            default: 'top'
        },
        autoDraw: Boolean,
        autoDrawDuration: {
            type: Number,
            default: 2000
        },
        autoDrawEasing: {
            type: String,
            default: 'ease'
        },
        height: Number,
        width: Number,
        padding: {
            type: Number,
            default: 8
        },
        smooth: [Boolean, Number],
        lineWidth: Number,
        showLabel: Boolean
    }
});
//# sourceMappingURL=props.js.map